Package org.codehaus.janino

# Interface Visitor.LambdaParametersVisitor<R,EX extends Throwable>

Type Parameters:
  `R` - The type of the object returned by the `visit*()` methods
  `EX` - The exception that the `visit*()` methods may throw

Enclosing class:
  `Visitor`

public static interface Visitor.LambdaParametersVisitor<R,EX extends Throwable>
The visitor for the different kinds of `Java.LambdaParameters` styles.

## Method Summary

Modifier and Type
Method
Description
`R`
`visitFormalLambdaParameters(Java.FormalLambdaParameters flp)`
`R`
`visitIdentifierLambdaParameters(Java.IdentifierLambdaParameters ilp)`
`R`
`visitInferredLambdaParameters(Java.InferredLambdaParameters ilp)`

## Method Details

### visitIdentifierLambdaParameters

@Nullable R visitIdentifierLambdaParameters(Java.IdentifierLambdaParameters ilp) throws EX

Throws:
  `EX`

### visitFormalLambdaParameters

@Nullable R visitFormalLambdaParameters(Java.FormalLambdaParameters flp) throws EX

Throws:
  `EX`

### visitInferredLambdaParameters

@Nullable R visitInferredLambdaParameters(Java.InferredLambdaParameters ilp) throws EX

Throws:
  `EX`